IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/20
Addresses2^108
/64 networks2^44
- Network
ff00:5000::/20- First address
ff00:5000::- Last address
ff00:5fff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 324,518,553,658,426,726,783,156,020,576,256 (2^108)
- /64 networks (LANs)
- 17,592,186,044,416 (2^44)
- Full form
ff00:5000:0000:0000:0000:0000:0000:0000- Type
- Multicast ff00::/8
One-to-many traffic; replaces broadcast - Reverse DNS zone
5.0.0.f.f.ip6.arpa
Split into smaller subnets
ff00:5000::/20 makes 256 subnets of /28.
| # | Subnet | Last address |
|---|---|---|
| 1 | ff00:5000::/28 | ff00:500f:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | ff00:5010::/28 | ff00:501f:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | ff00:5020::/28 | ff00:502f:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | ff00:5030::/28 | ff00:503f:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | ff00:5040::/28 | ff00:504f:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | ff00:5050::/28 | ff00:505f:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | ff00:5060::/28 | ff00:506f:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | ff00:5070::/28 | ff00:507f:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | ff00:5080::/28 | ff00:508f:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | ff00:5090::/28 | ff00:509f:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | ff00:50a0::/28 | ff00:50af:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | ff00:50b0::/28 | ff00:50bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | ff00:50c0::/28 | ff00:50cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | ff00:50d0::/28 | ff00:50df:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | ff00:50e0::/28 | ff00:50ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | ff00:50f0::/28 | ff00:50ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | ff00:5100::/28 | ff00:510f:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | ff00:5110::/28 | ff00:511f:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | ff00:5120::/28 | ff00:512f:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | ff00:5130::/28 | ff00:513f:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | ff00:5140::/28 | ff00:514f:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | ff00:5150::/28 | ff00:515f:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | ff00:5160::/28 | ff00:516f:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | ff00:5170::/28 | ff00:517f:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | ff00:5180::/28 | ff00:518f:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | ff00:5190::/28 | ff00:519f:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | ff00:51a0::/28 | ff00:51af:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | ff00:51b0::/28 | ff00:51bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | ff00:51c0::/28 | ff00:51cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | ff00:51d0::/28 | ff00:51df:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | ff00:51e0::/28 | ff00:51ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | ff00:51f0::/28 | ff00:51ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | ff00:5200::/28 | ff00:520f:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | ff00:5210::/28 | ff00:521f:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | ff00:5220::/28 | ff00:522f:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | ff00:5230::/28 | ff00:523f:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | ff00:5240::/28 | ff00:524f:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | ff00:5250::/28 | ff00:525f:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | ff00:5260::/28 | ff00:526f:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | ff00:5270::/28 | ff00:527f:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | ff00:5280::/28 | ff00:528f:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | ff00:5290::/28 | ff00:529f:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | ff00:52a0::/28 | ff00:52af:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | ff00:52b0::/28 | ff00:52bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | ff00:52c0::/28 | ff00:52cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | ff00:52d0::/28 | ff00:52df:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | ff00:52e0::/28 | ff00:52ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | ff00:52f0::/28 | ff00:52ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | ff00:5300::/28 | ff00:530f:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | ff00:5310::/28 | ff00:531f:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | ff00:5320::/28 | ff00:532f:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | ff00:5330::/28 | ff00:533f:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | ff00:5340::/28 | ff00:534f:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | ff00:5350::/28 | ff00:535f:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | ff00:5360::/28 | ff00:536f:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | ff00:5370::/28 | ff00:537f:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | ff00:5380::/28 | ff00:538f:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | ff00:5390::/28 | ff00:539f:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | ff00:53a0::/28 | ff00:53af:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | ff00:53b0::/28 | ff00:53bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | ff00:53c0::/28 | ff00:53cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | ff00:53d0::/28 | ff00:53df:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | ff00:53e0::/28 | ff00:53ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | ff00:53f0::/28 | ff00:53ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | ff00:5400::/28 | ff00:540f:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | ff00:5410::/28 | ff00:541f:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | ff00:5420::/28 | ff00:542f:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | ff00:5430::/28 | ff00:543f:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | ff00:5440::/28 | ff00:544f:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | ff00:5450::/28 | ff00:545f:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | ff00:5460::/28 | ff00:546f:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | ff00:5470::/28 | ff00:547f:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | ff00:5480::/28 | ff00:548f:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | ff00:5490::/28 | ff00:549f:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | ff00:54a0::/28 | ff00:54af:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | ff00:54b0::/28 | ff00:54bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | ff00:54c0::/28 | ff00:54cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | ff00:54d0::/28 | ff00:54df:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | ff00:54e0::/28 | ff00:54ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | ff00:54f0::/28 | ff00:54ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | ff00:5500::/28 | ff00:550f:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | ff00:5510::/28 | ff00:551f:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | ff00:5520::/28 | ff00:552f:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | ff00:5530::/28 | ff00:553f:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | ff00:5540::/28 | ff00:554f:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | ff00:5550::/28 | ff00:555f:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | ff00:5560::/28 | ff00:556f:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | ff00:5570::/28 | ff00:557f:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | ff00:5580::/28 | ff00:558f:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | ff00:5590::/28 | ff00:559f:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | ff00:55a0::/28 | ff00:55af:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | ff00:55b0::/28 | ff00:55bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | ff00:55c0::/28 | ff00:55cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | ff00:55d0::/28 | ff00:55df:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | ff00:55e0::/28 | ff00:55ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | ff00:55f0::/28 | ff00:55ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | ff00:5600::/28 | ff00:560f:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | ff00:5610::/28 | ff00:561f:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | ff00:5620::/28 | ff00:562f:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | ff00:5630::/28 | ff00:563f:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | ff00:5640::/28 | ff00:564f:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | ff00:5650::/28 | ff00:565f:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | ff00:5660::/28 | ff00:566f:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | ff00:5670::/28 | ff00:567f:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | ff00:5680::/28 | ff00:568f:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | ff00:5690::/28 | ff00:569f:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | ff00:56a0::/28 | ff00:56af:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | ff00:56b0::/28 | ff00:56bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | ff00:56c0::/28 | ff00:56cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | ff00:56d0::/28 | ff00:56df:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | ff00:56e0::/28 | ff00:56ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | ff00:56f0::/28 | ff00:56ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | ff00:5700::/28 | ff00:570f:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | ff00:5710::/28 | ff00:571f:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | ff00:5720::/28 | ff00:572f:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | ff00:5730::/28 | ff00:573f:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | ff00:5740::/28 | ff00:574f:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | ff00:5750::/28 | ff00:575f:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | ff00:5760::/28 | ff00:576f:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | ff00:5770::/28 | ff00:577f:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | ff00:5780::/28 | ff00:578f:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | ff00:5790::/28 | ff00:579f:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | ff00:57a0::/28 | ff00:57af:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | ff00:57b0::/28 | ff00:57bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | ff00:57c0::/28 | ff00:57cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | ff00:57d0::/28 | ff00:57df:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | ff00:57e0::/28 | ff00:57ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | ff00:57f0::/28 | ff00:57ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | ff00:5800::/28 | ff00:580f:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | ff00:5810::/28 | ff00:581f:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | ff00:5820::/28 | ff00:582f:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | ff00:5830::/28 | ff00:583f:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | ff00:5840::/28 | ff00:584f:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | ff00:5850::/28 | ff00:585f:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | ff00:5860::/28 | ff00:586f:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | ff00:5870::/28 | ff00:587f:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | ff00:5880::/28 | ff00:588f:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | ff00:5890::/28 | ff00:589f:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | ff00:58a0::/28 | ff00:58af:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | ff00:58b0::/28 | ff00:58bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | ff00:58c0::/28 | ff00:58cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | ff00:58d0::/28 | ff00:58df:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | ff00:58e0::/28 | ff00:58ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | ff00:58f0::/28 | ff00:58ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | ff00:5900::/28 | ff00:590f:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | ff00:5910::/28 | ff00:591f:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | ff00:5920::/28 | ff00:592f:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | ff00:5930::/28 | ff00:593f:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | ff00:5940::/28 | ff00:594f:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | ff00:5950::/28 | ff00:595f:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | ff00:5960::/28 | ff00:596f:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | ff00:5970::/28 | ff00:597f:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | ff00:5980::/28 | ff00:598f:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | ff00:5990::/28 | ff00:599f:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | ff00:59a0::/28 | ff00:59af:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | ff00:59b0::/28 | ff00:59bf:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | ff00:59c0::/28 | ff00:59cf:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | ff00:59d0::/28 | ff00:59df:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | ff00:59e0::/28 | ff00:59ef:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | ff00:59f0::/28 | ff00:59ff:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | ff00:5a00::/28 | ff00:5a0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | ff00:5a10::/28 | ff00:5a1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | ff00:5a20::/28 | ff00:5a2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | ff00:5a30::/28 | ff00:5a3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | ff00:5a40::/28 | ff00:5a4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | ff00:5a50::/28 | ff00:5a5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | ff00:5a60::/28 | ff00:5a6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | ff00:5a70::/28 | ff00:5a7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | ff00:5a80::/28 | ff00:5a8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | ff00:5a90::/28 | ff00:5a9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | ff00:5aa0::/28 | ff00:5aaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | ff00:5ab0::/28 | ff00:5abf:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | ff00:5ac0::/28 | ff00:5acf:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | ff00:5ad0::/28 | ff00:5adf:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | ff00:5ae0::/28 | ff00:5aef:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | ff00:5af0::/28 | ff00:5aff:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | ff00:5b00::/28 | ff00:5b0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | ff00:5b10::/28 | ff00:5b1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | ff00:5b20::/28 | ff00:5b2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | ff00:5b30::/28 | ff00:5b3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | ff00:5b40::/28 | ff00:5b4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | ff00:5b50::/28 | ff00:5b5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | ff00:5b60::/28 | ff00:5b6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | ff00:5b70::/28 | ff00:5b7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | ff00:5b80::/28 | ff00:5b8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | ff00:5b90::/28 | ff00:5b9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | ff00:5ba0::/28 | ff00:5baf:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | ff00:5bb0::/28 | ff00:5bbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | ff00:5bc0::/28 | ff00:5bcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | ff00:5bd0::/28 | ff00:5bdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | ff00:5be0::/28 | ff00:5bef:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | ff00:5bf0::/28 | ff00:5bff:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | ff00:5c00::/28 | ff00:5c0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | ff00:5c10::/28 | ff00:5c1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | ff00:5c20::/28 | ff00:5c2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | ff00:5c30::/28 | ff00:5c3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | ff00:5c40::/28 | ff00:5c4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | ff00:5c50::/28 | ff00:5c5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | ff00:5c60::/28 | ff00:5c6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | ff00:5c70::/28 | ff00:5c7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | ff00:5c80::/28 | ff00:5c8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | ff00:5c90::/28 | ff00:5c9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | ff00:5ca0::/28 | ff00:5caf:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | ff00:5cb0::/28 | ff00:5cbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | ff00:5cc0::/28 | ff00:5ccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | ff00:5cd0::/28 | ff00:5cdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | ff00:5ce0::/28 | ff00:5cef:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | ff00:5cf0::/28 | ff00:5cff:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | ff00:5d00::/28 | ff00:5d0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | ff00:5d10::/28 | ff00:5d1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | ff00:5d20::/28 | ff00:5d2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | ff00:5d30::/28 | ff00:5d3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | ff00:5d40::/28 | ff00:5d4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | ff00:5d50::/28 | ff00:5d5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | ff00:5d60::/28 | ff00:5d6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | ff00:5d70::/28 | ff00:5d7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | ff00:5d80::/28 | ff00:5d8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | ff00:5d90::/28 | ff00:5d9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | ff00:5da0::/28 | ff00:5daf:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | ff00:5db0::/28 | ff00:5dbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | ff00:5dc0::/28 | ff00:5dcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | ff00:5dd0::/28 | ff00:5ddf:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | ff00:5de0::/28 | ff00:5def:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | ff00:5df0::/28 | ff00:5dff:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | ff00:5e00::/28 | ff00:5e0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | ff00:5e10::/28 | ff00:5e1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | ff00:5e20::/28 | ff00:5e2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | ff00:5e30::/28 | ff00:5e3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | ff00:5e40::/28 | ff00:5e4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | ff00:5e50::/28 | ff00:5e5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | ff00:5e60::/28 | ff00:5e6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | ff00:5e70::/28 | ff00:5e7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | ff00:5e80::/28 | ff00:5e8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | ff00:5e90::/28 | ff00:5e9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | ff00:5ea0::/28 | ff00:5eaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | ff00:5eb0::/28 | ff00:5ebf:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | ff00:5ec0::/28 | ff00:5ecf:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | ff00:5ed0::/28 | ff00:5edf:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | ff00:5ee0::/28 | ff00:5eef:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | ff00:5ef0::/28 | ff00:5eff:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | ff00:5f00::/28 | ff00:5f0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | ff00:5f10::/28 | ff00:5f1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | ff00:5f20::/28 | ff00:5f2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | ff00:5f30::/28 | ff00:5f3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | ff00:5f40::/28 | ff00:5f4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | ff00:5f50::/28 | ff00:5f5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | ff00:5f60::/28 | ff00:5f6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | ff00:5f70::/28 | ff00:5f7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | ff00:5f80::/28 | ff00:5f8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | ff00:5f90::/28 | ff00:5f9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | ff00:5fa0::/28 | ff00:5faf:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | ff00:5fb0::/28 | ff00:5fbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | ff00:5fc0::/28 | ff00:5fcf:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | ff00:5fd0::/28 | ff00:5fdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | ff00:5fe0::/28 | ff00:5fef:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | ff00:5ff0::/28 | ff00:5fff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |